| Home | Libraries | People | FAQ | More

## Macro BOOST_VARIANT_LIMIT_TYPES

BOOST_VARIANT_LIMIT_TYPES —

Expands to the length of the template parameter list for `variant`.

## Synopsis

    BOOST_VARIANT_LIMIT_TYPES

## Description

Note: Conforming implementations of `variant` must allow at least ten template arguments. That is, BOOST_VARIANT_LIMIT_TYPES must be greater or equal to `10`.

| Copyright © 2002, 2003 Eric Friedman, Itay Maman